主题
亚马逊卖家列表实时高级接口
接口概述
该接口用于获取指定亚马逊商品的卖家列表。返回结果中会每个卖家的商品状态、价格、信息、评分等明细。
获取结果会受到所选地区与语言设置的影响,因此同一 asin 在不同站点、不同地区下返回的卖家信息可能不同。
注意: 在调用本接口前,需要获取商品的
asin。可通过/v3/merchant/amazon/products/task_post单独查询获取。
本接口为实时接口,请求方式如下:
POST https://api.seermartech.cn/v3/merchant/amazon/sellers/live/advanced
计费说明
本接口按请求计费在成功创建任务时扣费。
参考价约 ¥0.0528 / 次 扣费以响应头 X-SeerMarTech-Charge-CNY 为准。
请求说明
- 请求方法:
POST - 请求体格式:
application/json - 编码:
UTF-8 - 请求体结构:JSON 数组
[{ ... }] - 频率限制:最多 2000 次 API 调用/分钟
- 单次 Live 请求支持 1 个任务
请求参数
任务参数字段
| 字段名 | 类型 | 说明 |
|---|---|---|
asin | string | 亚马逊商品的唯一标识。填。示例:B085RFFC9Q。该值需通过 /v3/merchant/amazon/products/task_post 获取。 |
location_name | string | 地区名。若未提供 location_code 或 location_coordinate,则该字段填。使用该字段时,无需再传 location_code 或 location_coordinate。可通过 /v3/merchant/amazon/locations 获取支持的地区列表。示例:London,England,United Kingdom |
location_code | integer | 地区编码。若未提供 location_name 或 location_coordinate,则该字段填。使用该字段时,无需再传 location_name 或 location_coordinate。可通过 /v3/merchant/amazon/locations 获取支持的地区编码。示例:2840 |
location_coordinate | string | 地理坐标,格式为 "latitude,longitude,radius"。若未提供 location_name 或 location_code,则该字段填。使用该字段时,无需再传 location_name 或 location_code。latitude 与 longitude 最多 7 位小数,radius 最小值为 199.9。示例:53.476225,-2.243572,200 |
language_name | string | 语言名。若未提供 language_code,则该字段填。使用该字段时,无需再传 language_code。可通过 /v3/merchant/amazon/languages 获取支持的语言列表。示例:English (United States) |
language_code | string | 语言代码。若未提供 language_name,则该字段填。使用该字段时,无需再传 language_name。可通过 /v3/merchant/amazon/languages 获取支持的语言代码。示例:en_US |
se_domain | string | 搜索引擎域名。可选。系统通常会根据地区和语言自动匹合适的站点,也可以手动指定,如 amazon.co.uk、amazon.com.au、amazon.de。 |
tag | string | 自定义任务标识。可选,最大长度 255 字符。可用于请求与结果匹,返回时会出现在响应的 data 对象中。 |
响应结构
接口返回 JSON 数据,顶层 tasks 数组。
顶层字段
| 字段名 | 类型 | 说明 |
|---|---|---|
version | string | 当前 API 版本号 |
status_code | integer | 通用状态码。完整错误码见 /v3/appendix/errors |
status_message | string | 通用状态信息 |
time | string | 执行耗时,单位秒 |
cost | float | 本次请求总成本,单位 USD |
tasks_count | integer | tasks 数组中的任务数量 |
tasks_error | integer | 返回错误的任务数量 |
tasks | array | 任务结果数组 |
tasks[] 字段
| 字段名 | 类型 | 说明 |
|---|---|---|
id | string | 任务唯一标识,UUID 格式 |
status_code | integer | 任务状态码,范围通常为 10000-60000,完整定义见 /v3/appendix/errors |
status_message | string | 任务状态说明 |
time | string | 任务执行耗时 |
cost | float | 任务成本,单位 USD |
result_count | integer | result 数组中的结果数量 |
path | array | 请求路径 |
data | object | 回显请求参数 |
result | array | 结果数组 |
result[] 字段
| 字段名 | 类型 | 说明 |
|---|---|---|
asin | string | 请求中提交的商品 asin |
type | string | 搜索类型,固定为 sellers_list |
se_domain | string | 请求中使用的站点域名 |
location_code | integer | 请求中的地区编码 |
language_code | string | 请求中的语言代码 |
check_url | string | 可直接访问的亚马逊结果页链接,用于结果校验 |
datetime | string | 数据采集时间,UTC 格式:yyyy-mm-dd hh-mm-ss +00:00 |
title | string | 对应 asin 的商品标题 |
image | string | 对应商品图片 URL |
item_types | array | 当前结果中出现的类型。可能值:amazon_seller_main_item、amazon_seller_item |
items_count | integer | items 数组中的结果数量 |
items | array | 卖家结果明细 |
卖家结果项说明
items 中可能出现两类对象:
amazon_seller_main_itemamazon_seller_item
两字段结构基本一致,区别在于结果类型不同。
通用卖家字段
| 字段名 | 类型 | 说明 |
|---|---|---|
type | string | 素类型,可能为 amazon_seller_main_item 或 amazon_seller_item |
rank_group | integer | 相同 type 分组的位置 |
rank_absolute | integer | 在整个卖家结果页中的绝对位置 |
position | string | 页面位置,可能值:left、right |
xpath | string | 素的 XPath |
seller_name | string | 卖家名称 |
seller_url | string | 跳转到卖家页面的链接 |
ships_from | string | 发货方名称 |
condition | string | 商品状态 |
condition_description | string | 商品状态补说明 |
price 对象
表示商品价格信息。若无价格明细,则该字段为 null。
| 字段名 | 类型 | 说明 |
|---|---|---|
current | float | 当前价格,含折扣后的价格 |
regular | float | 原价,未折扣价格 |
max_value | float | 页面显示的最高价格 |
currency | string | 币种,ISO 4217 格式,例如 USD |
is_price_range | boolean | 是否为价格区间 |
displayed_price | string | 页面展示的原始价格文本 |
percentage_discount | float | 折扣百分比 |
applicable_vouchers 数组
表示可用优惠券信息。
| 字段名 | 类型 | 说明 |
|---|---|---|
type | string | 固定为 amazon_applicable_vouchers_item |
text | string | 优惠券文案 |
fixed_discount | float | 固定金额优惠 |
fixed_discount_currency | string | 固定优惠金额对应币种 |
percentage_discount | float | 百分比优惠;若为固定优惠则通常为 null |
important_details | string | 优惠券使用条件或重要说明 |
rating 对象
表示卖家评分信息,基于用户评价汇总。
| 字段名 | 类型 | 说明 |
|---|---|---|
type | string | 固定为 rating_element |
rating_type | string | 评分类型,目前可能为 Max5 |
value | string | 当前评分值 |
votes_count | integer | 评价数 / 反馈数 |
rating_max | integer | 该评分体系下的最大分值 |
delivery_info 对象
表示时效信息。
| 字段名 | 类型 | 说明 |
|---|---|---|
delivery_date_from | string | 最早送达日期 |
delivery_date_to | string | 最晚送达日期 |
fastest_delivery_date_from | string | 最早快速日期 |
fastest_delivery_date_to | string | 最晚快速日期 |
delivery_message | string | 页面显示的说明文案 |
delivery_price 对象
表示费用。若支持运费,则该字段为 null。
| 字段名 | 类型 | 说明 |
|---|---|---|
current | float | 当前价格 |
regular | float | 原始价格 |
max_value | float | 最高展示价格 |
currency | string | 币种,ISO 4217 格式 |
is_price_range | boolean | 是否为运费区间 |
displayed_price | string | 页面显示的运费文本 |
请求示例
cURL
bash
curl --location --request POST "https://api.seermartech.cn/v3/merchant/amazon/sellers/live/advanced" \
--header "Authorization: Bearer smt_live_YOUR_KEY" \
--header "Content-Type: application/json" \
--data-raw '[
{
"location_name": "United States",
"language_name": "English (United States)",
"asin": "B085RFFC9Q"
}
]'Python
python
import requests
url = "https://api.seermartech.cn/v3/merchant/amazon/sellers/live/advanced"
headers = {
"Authorization": "Bearer smt_live_YOUR_KEY",
"Content-Type": "application/json"
}
payload = [
{
"location_name": "United States",
"language_name": "English (United States)",
"asin": "B085RFFC9Q"
}
]
response = requests.post(url, json=payload, headers=headers)
print(response.json)TypeScript
typescript
import axios from "axios";
async function fetchAmazonSellers {
const response = await axios.post(
"https://api.seermartech.cn/v3/merchant/amazon/sellers/live/advanced",
[
{
location_name: "United States",
language_name: "English (United States)",
asin: "B085RFFC9Q"
}
],
{
headers: {
Authorization: "Bearer smt_live_YOUR_KEY",
"Content-Type": "application/json"
}
}
);
console.log(response.data);
}
fetchAmazonSellers.catch(console.error);响应示例
json
{
"version": "0.1.20260520",
"status_code": 20000,
"status_message": "Ok.",
"time": "17.0991 sec.",
"cost": 0.0033,
"tasks_count": 1,
"tasks_error": 0,
"tasks": [
{
"data": {
"api": "merchant",
"function": "sellers",
"se": "amazon",
"language_code": "en_US",
"location_code": 2840,
"asin": "B07D528W98",
"se_type": "sellers",
"device": "desktop",
"os": "windows"
},
"result": [
{
"items_count": 1,
"items": []
}
]
}
]
}错误处理
建议对以下字段进行统一错误处理:
- 顶层
status_code/status_message tasks[].status_code/tasks[].status_message
常见处理建议:
20000:请求成功- 非
20000:根据/v3/appendix/errors中的错误码定义进行重试、告警或参数修正 - 对
tasks_error > 0的单独记录失败任务 - 对
result为空或items_count = 0的,视为当前地区/语言下未抓取到可用卖家结果
使用建议
- 调用商品接口获取准确的
asin - 明确指定
location_code与language_code,以保证结果稳定可复现 - 若用于多站点比价,建议同时记录
se_domain、location_code、language_code - 使用
check_url抽样校验结果准确性 - 结合
tag字段为任务、商品或批次打标,便于后续追踪
实用场景
- 监控购物车卖家变化:跟踪指定 ASIN 当前由哪些卖家提供,及时发现主卖家切换、第三方卖家或退出。
- 比较卖家价格与运费:汇总不同卖家的商品价格、优惠券和费用,支持选品、比价和利润测算。
- 评估卖家履约能力:基于时间、快速送达能力和发货方信息,识别更有竞争力的履约方案。
- 分析卖家口碑表现:结合评分与评价数,对比卖家服务质量,招商、合作或竞品研究。
- 识别商品成色与条件差异:通过
condition与condition_description区分新品、二手或特殊状态商品,提升报价和采购判断准确性。